com.ihr.xbrl.om

## Class URIIndexableDocument<O>

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<java.net.URI,O>
    - - com.ihr.xbrl.om.URIIndexableDocument<O>

- Type Parameters:
    `O` - the generic type
  All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.net.URI,O>

      public class URIIndexableDocument<O>
      extends java.util.Hashtable<java.net.URI,O>

  Template class to create sets of documents indexed by a document key.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `URIIndexableDocument()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsKey(java.lang.Object key)`
    `O` | `get(java.lang.Object key)`
    `O` | `put(java.net.URI key, O value)`

    - ### Methods inherited from class java.util.Hashtable

      `clear, clone, contains, containsValue, elements, entrySet, equals, hashCode, isEmpty, keys, keySet, putAll, remove, size, toString, values`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### URIIndexableDocument

          public URIIndexableDocument()

  - ### Method Detail

    - #### containsKey

          public boolean containsKey(java.lang.Object key)

      Specified by:
        `containsKey` in interface `java.util.Map<java.net.URI,O>`
      Overrides:
        `containsKey` in class `java.util.Hashtable<java.net.URI,O>`

    - #### get

          public O get(java.lang.Object key)

      Specified by:
        `get` in interface `java.util.Map<java.net.URI,O>`
      Overrides:
        `get` in class `java.util.Hashtable<java.net.URI,O>`

    - #### put

          public O put(java.net.URI key,
              O value)

      Specified by:
        `put` in interface `java.util.Map<java.net.URI,O>`
      Overrides:
        `put` in class `java.util.Hashtable<java.net.URI,O>`